Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » e(fx)clipse + Java 17 LTS(e(fx)clipse IDE plugin is not working with Java 17)
e(fx)clipse + Java 17 LTS [message #1844676] Tue, 21 September 2021 09:03 Go to next message
Wladimir Degtjarew is currently offline Wladimir DegtjarewFriend
Messages: 2
Registered: September 2021
Junior Member
I am successfuly using e(fx)clipse with Java 15 + JavaFX 16.

After upgrading to Java 17 LTS eclipse does not find OpenJFX libriaries specified under "Preferences > JavaFX > JavaFX 11+ SDK" anymore. This seems to be an OSGi problem also, becouse deployed runtime applications cannot use javafx libriaries for jdk 17. This problem is also occuring for Java 16.

Is there some workaround about this or plans to update e(fx)clipse to support current java LTS version?
Re: e(fx)clipse + Java 17 LTS [message #1845010 is a reply to message #1844676] Sat, 02 October 2021 15:42 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6607
Registered: July 2009
Senior Member
Hm the only thing that go moved in JFX-17 is the location of the src.zip - we are about to release a new version very soon. Can you give the nightlies as spin? Just to make sure do we talk about the tooling or the runtime, where you integrate into an OSGi-Appliction?
Re: e(fx)clipse + Java 17 LTS [message #1845047 is a reply to message #1845010] Mon, 04 October 2021 14:17 Go to previous message
Wladimir Degtjarew is currently offline Wladimir DegtjarewFriend
Messages: 2
Registered: September 2021
Junior Member
It seems to be a tooling problem, not the combination of e(fx)clipse + JFX 17, but the problem can be the combination of Java 16,17 + e(fx)clipse. After upgrading to java 17 my IDE does not show javafx.* plugin dependencies in "Plug-in Dependencies" section anymore, but I can start and run my e(fx)clipse projects as long as projects compiled for Java 15. Same problem with nightly build of e(fx)clipse tooling (3.7.1) and JFX 16, 17.

Combination of Java 15 + e(fx)clipse 3.7.0 + JXF 16 works as expected. You can reproduce described problem by installing Java 17 -> uninstall Java 15 -> Restart Eclipse -> Close all Projects -> Open all Projects -> "Project - Clean ... - Clean all Projects". Some of Projects will miss openjfx.* deps in "Plug-in Dependencies" section.

[Updated on: Tue, 05 October 2021 06:28]

Report message to a moderator

Previous Topic:JavaFX Eclipse 3.x Project creation problem
Next Topic:e(fx)clipse and JavaFx 17
Goto Forum:
  


Current Time: Sat Oct 16 09:04:34 GMT 2021

Powered by FUDForum. Page generated in 0.01670 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top